Download it now!
Bug 111856 - Playing video in Impress is considered a modification
Summary: Playing video in Impress is considered a modification
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Impress (show other bugs)
Version:
(earliest affected)
3.6.7.2 release
Hardware: All All
: lowest trivial
Assignee: Not Assigned
URL:
Whiteboard: target:6.2.0
Keywords:
Depends on:
Blocks: Media-Playback ModifiedStatus
  Show dependency treegraph
 
Reported: 2017-08-16 11:08 UTC by Yan Pas
Modified: 2018-08-10 17:19 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Yan Pas 2017-08-16 11:08:21 UTC
Description:
-

Steps to Reproduce:
1. Create ODP with video inside, save it and close
2. Open this file
3. Click on video
4. Close document

Actual Results:  
You will see dialog whether to save changes

Expected Results:
Document silently closed


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (X11; Linux x86_64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/60.0.3112.101 Safari/537.36
Comment 1 Jean-Baptiste Faure 2017-08-19 13:06:36 UTC
Just to be sure: what do mean by "click on the video"? do only that or play the video?

From my side, just clicking on the video does not mark the document as modified.
Tested in current master and 5.4.2.0.0+
If I play the video, then the document status is changed to modified.

Set status to NEEDINFO, please set it back to UNCONFIRMED once requested
informations are provided.

Best regards. JBF
Comment 2 Yan Pas 2017-08-19 13:21:50 UTC
Yes, you are right, tested master, I need to play it to get the document modified
Comment 3 Buovjaga 2017-08-31 19:26:16 UTC
Repro.

Arch Linux 64-bit, KDE Plasma 5
Version: 6.0.0.0.alpha0+
Build ID: 4082b5874adddedf8332fe977b6bb47b6949b302
CPU threads: 8; OS: Linux 4.12; UI render: default; VCL: kde4; 
Locale: fi-FI (fi_FI.UTF-8); Calc: group
Built on August 31st 2017

Arch Linux 64-bit
Version 3.6.7.2 (Build ID: e183d5b)
Comment 4 Xisco Faulí 2018-08-08 06:55:15 UTC
Patch in gerrit: https://gerrit.libreoffice.org/#/c/58713/
Comment 5 Commit Notification 2018-08-10 11:06:42 UTC
Nickson committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=1da9b165b9c47f52db97fe70fe3e83626e580cdd

tdf#111856 Playing video in impress is considered a modification

It will be available in 6.2.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.